Skip to content

All supported networks

GET
/networks
curl --request GET \
--url https://hub.stablezact.com/api/v1/networks \
--header 'X-Public-Key: <X-Public-Key>'

The networks.

Media typeapplication/json
object
networks
Array<object>
object
id
string
name
string
shortName

The value to send as network when creating a payment.

string
chainId
integer
type
string
isTestnet
boolean
explorerUrl
string format: uri
logo
string format: uri
Examplegenerated
{
"networks": [
{
"id": "example",
"name": "example",
"shortName": "example",
"chainId": 1,
"type": "example",
"isTestnet": true,
"explorerUrl": "https://example.com",
"logo": "https://example.com"
}
]
}

Missing or invalid credentials.

Media typeapplication/json
object
success
boolean
error
required

Short machine-ish reason.

string
message

Longer explanation, when there is one.

string
Example
{
"error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."
}